Bug 1565995 - [RFE] Integration of openshift-ansible in TripleO [NEEDINFO]
Summary: [RFE] Integration of openshift-ansible in TripleO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Steven Hardy
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1565999 1591288 1591291 1591294 1593781 1595330 1614641
TreeView+ depends on / blocked
 
Reported: 2018-04-11 09:53 UTC by Ramon Acedo
Modified: 2019-01-11 11:49 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.0-0.20180804083746.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:49:20 UTC
Target Upstream Version:
jamsmith: needinfo? (shardy)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 494470 0 None MERGED Deploy OpenShift using OOO on the overcloud 2020-04-20 21:21:28 UTC
Red Hat Product Errata RHEA-2019:0045 0 None None None 2019-01-11 11:49:45 UTC

Description Ramon Acedo 2018-04-11 09:53:41 UTC
Integrate the openshift-ansible Playbooks with TripleO by using  the standard TripleO services (such as Heat and Mistral, etc.).

Changes are required in TripleO to integrate the openshift-ansible Playbooks to deploy OCP from the Undercloud.

The operator should be able to use TripleO/director to deploy only on BMs, without an Overcloud. This is the use case for "Multiple OCP clusters deployed on bare metal from the Undercloud".

TripleO uses a standard Ironic and can be used to deploy the Overcloud image or any other compatible image  on bare metal nodes registered with Ironic in the Undercloud.

We should be able to deploy on nodes that are either a OpenShift role or no role at all, if that makes sense in TripleO (i.e. a composable role without services would be an example of a role to deploy OCP components on).

Comment 2 Steven Hardy 2018-05-15 12:57:41 UTC
Several patches now landed to enable this, but https://review.openstack.org/#/c/494470/ is the main one I believe, so adding that to the external tracker.

Comment 11 Steven Hardy 2018-06-14 13:40:19 UTC
Ok I've raised some follow-up bz's so we can decouple the initial integration (which is complete) from the additional tasks needed related to this work (some of which are still in progress):


https://bugzilla.redhat.com/show_bug.cgi?id=1565999 - This is for scale operations to add new nodes

https://bugzilla.redhat.com/show_bug.cgi?id=1591288 - node removal/replacement 

https://bugzilla.redhat.com/show_bug.cgi?id=1591291 - additional validations specific to OpenShift and multiple plan deployments

https://bugzilla.redhat.com/show_bug.cgi?id=1591294 - plan management and configuration options when dealing with multiple plans/applications

Thus I'll set this back to POST and we can make all those bz's depend on this one.

Comment 12 Steven Hardy 2018-06-26 16:02:17 UTC
One more follow up is to enable HA deployments with multiple masters:

https://bugzilla.redhat.com/show_bug.cgi?id=1595330

Comment 16 errata-xmlrpc 2019-01-11 11:49:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.